###  | #  |

is_read_device< FormatTag, T, D > Struct Template Reference

`#include <device.hpp>`

Inherits false_type.

## Detailed Description

template<typename FormatTag, typename T, typename D = void>
struct boost::gil::detail::is_read_device< FormatTag, T, D >

Metafunction to decide if a given type is an acceptable read device type.

The documentation for this struct was generated from the following file:

- device.hpp